%global git_commit 1cb8b7d
%define pkg_version 0-g%{git_commit}

Name:          jruby-ossl
Version:       0.6
Release:       %mkrel 1
Summary:       OpenSSL library for JRuby
Group:         Development/Other
License:       CPL, GPL, LGPL
Url:           http://github.com/jruby/jruby-ossl
Source0:       https://download.github.com/jruby-jruby-ossl-jruby-openssl-%{version}-%{pkg_version}.tar.gz
Patch0:        jruby-openssl-0.6-no-classpath-in-manifest.patch
BuildRequires: ant
BuildRequires: bouncycastle
BuildRequires: bouncycastle-mail
BuildRequires: bytelist
BuildRequires: jnr-constants
BuildRequires: jcodings
BuildRequires: joda-time
BuildRequires: jruby
BuildRequires: jpackage-utils
Requires:      bouncycastle
Requires:      bouncycastle-mail
Requires:      jpackage-utils
BuildArch:     noarch

%description
JRuby OpenSSL library.

%prep
%setup -q -n jruby-jruby-ossl-%{git_commit}
%patch0 -p0

for j in $(find lib -name "*.jar"); do
  mv $j $j.no
done

for j in $(find lib -name "*.class"); do
  rm -f $j
done

rm -rf mocha

pushd lib
  ln -sf $(build-classpath bcmail) bcmail-jdk15-144.jar
  ln -sf $(build-classpath bcprov) bcprov-jdk15-144.jar
popd

%build

export CLASSPATH=$(build-classpath bcmail bcprov bytelist joda-time jnr-constants jcodings)
ant -Djruby.jar=$(build-classpath jruby) jar

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 lib/jopenssl.jar \
  %{buildroot}%{_javadir}/jruby-openssl-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
  ln -sf jruby-openssl-%{version}.jar %{buildroot}%{_javadir}/jopenssl.jar
)

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root) 
%{_javadir}/jruby-openssl-%{version}.jar
%{_javadir}/jruby-openssl.jar
%{_javadir}/jopenssl.jar
%doc History.txt License.txt README.txt



%changelog

* Sat Nov 05 2011 gil <gil> 0.6-1.mga2
+ Revision: 163869
- imported package jruby-ossl


* Sat Jun 18 2011 gil <gil> 0.6-0.%%mkrel
- initial rpm

